REST API: Auth
Generated from the daemon’s OpenAPI document. Conventions, sign-in, the CSRF header and the WebSocket are on API.
POST /api/auth/login
Section titled “POST /api/auth/login”Request body: application/json: LoginRequest
Responses
- 200:
application/json: LoginResponse
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/login/totp
Section titled “POST /api/auth/login/totp”Request body: application/json: TotpLoginRequest
Responses
- 200:
application/json: UserInfo
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/logout
Section titled “POST /api/auth/logout”Responses
- 204
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/recover
Section titled “POST /api/auth/recover”Request body: application/json: RecoverRequest
Responses
- 200:
application/json: RecoverResponse
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
GET /api/auth/session
Section titled “GET /api/auth/session”Responses
- 200:
application/json: UserInfo
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/totp/confirm
Section titled “POST /api/auth/totp/confirm”Request body: application/json: TotpConfirmRequest
Responses
- 200:
application/json: RecoveryCodes
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/totp/disable
Section titled “POST /api/auth/totp/disable”Request body: application/json: TotpDisableRequest
Responses
- 204
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.
POST /api/auth/totp/enroll
Section titled “POST /api/auth/totp/enroll”Responses
- 200:
application/json: TotpEnrollment
Any failure answers with problem details (application/problem+json) and a stable code from the error reference.